#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_BINARY_DIR}/src/svnqt
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/src
)


##### other files ###############################

set( ACTION_MENU "X-TDE-GetActionMenu=kded tdesvnd getActionMenu(KURL::List)" )

tde_create_translated_desktop(
  SOURCE tdesvn_subversion.desktop.cmake
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
)
tde_create_translated_desktop(
  SOURCE tdesvnd.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kded
)
